Subject: Re: Contrib/earthdistance missing from cvsweb.

From: "Dave Page" <[email-masked]>
Date: Mon, 4 Oct 2004 17:19:42 +0100

> -----Original Message-----
> From: Bruce Momjian [mailto:[email-masked]] 
> Sent: 04 October 2004 17:17
> To: Marc G. Fournier
> Cc: Dave Page; PostgreSQL WWW Mailing List
> Subject: Re: [pgsql-www] Contrib/earthdistance missing from cvsweb.
> 
> Marc G. Fournier wrote:
> > On Mon, 4 Oct 2004, Dave Page wrote:
> > 
> > > Hi Marc,
> > >
> > > I always seem to get problems checking out the 
> earthdistance contrib 
> > > module from CVS. Tom mentioned in the past that this was 
> because you 
> > > had experimented with it when trying to split the repository.
> > >
> > > I can get at it if I checkout pgsql vs. pgsql-server (or 
> vice-versa, 
> > > I forget which), but as this module is also missing from 
> cvsweb, it 
> > > would be good if you could fix it. Please :-)
> > 
> > Unfortunately, to 'fix it', I'm not sure of the risks, 
> since it causes 
> > some major headaches when i pulled it out in the first place :(  If 
> > nothing else, should probably wait until *after* the release, not 
> > middle of beta ...
> 
> This just a CVS checkout issue.  It shouldn't affect the 
> actual CVS files.  I think it has been pushed off too long 
> that we should just do it now.  How many years must it be broken?

Which reminds me of why I reported it in the first place - I already get
errors about it being missing. I'm not sure things could get much worse!

/D

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 4 Oct 2004 13:38:50 -0300 (ADT)

> errors about it being missing. I'm not sure things could get much worse!

If I correctly remember the issue, if I merge earthdistance back into the 
main source tree (which is a simple mv operation and cvs update on the 
modules file), it will potentially break everyone's currently checked out 
CVS source, since the 'paths' will change in the CVS/Root file ...

I'm willing to do it, since all the work I generally do, I do with a fresh 
check out ...

Am CC'ng in -hackers, as they will potentially be *the most* affected by 
doing this ...

----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email: [email-masked]           Yahoo!: yscrappy              ICQ: 7615664

---

From: Peter Eisentraut <[email-masked]>
Date: Mon, 4 Oct 2004 18:57:04 +0200

Marc G. Fournier wrote:
> If I correctly remember the issue, if I merge earthdistance back into
> the main source tree (which is a simple mv operation and cvs update
> on the modules file), it will potentially break everyone's currently
> checked out CVS source, since the 'paths' will change in the CVS/Root
> file ...

This whole thing has been a mess that has been dragging on for too long.  
I suggest that after the release we make a clean break and put things 
back the way they were before (that is, one single pgsql module).

-- 
Peter Eisentraut
http://developer.postgresql.org/~petere/

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 4 Oct 2004 14:09:42 -0300 (ADT)

> back the way they were before (that is, one single pgsql module).

Agreed, but Bruce is calling for this *during* beta, which I'm not 
comfortable with ... if anyone else wants to agree with Bruce, I'll do it, 
as I know it won't affect me ...

----

---

From: Bruce Momjian <[email-masked]>
Date: Mon, 4 Oct 2004 13:12:19 -0400 (EDT)

> as I know it won't affect me ...

Seems we have 100% agreement so far.  Beta is a better time to require a
cvs fresh checkout than during development.

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  [email-masked]               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073